{% load static %}

<link rel="stylesheet" type="text/css" href="{% static 'foodquery/style.css' %}"/>

<h1>{{ food.name }}</h1>
<h3><a href="/">Return Home</a></h3>
<table id="info">
    <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Scientific Name</th>
        <th>Description</th>
        <th>Group</th>
        <th>Subgroup</th>
        <th>Type</th>
        <th>Category</th>
    </tr>
    <tr>
        <td>{{ food.id }}</td>
        <td>{{ food.name }}</td>
        <td>{{ food.name_scientific }}</td>
        <td>{{ food.description }}</td>
        <td>{{ food.food_group }}</td>
        <td>{{ food.food_subgroup }}</td>
        <td>{{ food.food_type }}</td>
        <td>{{ food.category }}</td>
    </tr>
</table>

<h3>Nutrient Information</h3>

<table id="info">
    <tr>
        <th>Source Name</th>
        <th>Content Average</th>
    </tr>
    {% if nutrients %}
    {% for nutrient in nutrients %}
    <tr>
        <td><a href="/nutrients/{{ nutrient.source_id__max }}">{{ nutrient.orig_source_name }}</a></td>
        <td>{{ nutrient.orig_content__avg }}</td>
    </tr>
    {% endfor %}
    {% else %}
    <tr>
        <td>No USDA data, try different food.</td>
    </tr>
    {% endif %}

</table>


<h3>Compound Information</h3>

<table id="info">
    <tr>
        <th>Source Name</th>
        <th>Content</th>
    </tr>
    {% if compounds %}
    {% for compound in compounds %}
    <tr>
        <td><a href="/compounds/{{ compound.source_id__max }}">{{ compound.orig_source_name }}</a></td>
        <td>{{ compound.orig_content__avg }}</td>
    </tr>
    {% endfor %}
    {% else %}
    <tr>
        <td>No USDA data, try different food.</td>
    </tr>
    {% endif%}
</table>